Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 61568 - Internal error - Segmentation fault when installing nessus 1.0.10
Internal error - Segmentation fault when installing nessus 1.0.10
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-21 11:37 EST by Doug Wadsworth
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 14:45:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the compilation file (2.67 MB, text/plain)
2002-03-22 15:06 EST, Doug Wadsworth
no flags Details
File generated by running gcc. (144.69 KB, text/plain)
2002-03-26 17:10 EST, Doug Wadsworth
no flags Details

  None (edit)
Description Doug Wadsworth 2002-03-21 11:37:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
I'm trying to install nessus in my Red Hat 7.2 but it doesn't compile and 
doesn't run the make script either.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. When I install the nessus-installer.sh with sh
2. When I run make in the nessus folder
3.
	

Actual Results:  x -- Compiling
peks-svc.c: In function `append2rpc_spooler_prep':
peks-svc.c:188: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [peks-svc.o] Error 1
make[1]: *** [rpc/stamp-o] Error 2
make: *** [cipher-make] Error 2
**** An error occured :/


Additional info:
Comment 1 Doug Wadsworth 2002-03-22 15:06:36 EST
Created attachment 49745 [details]
This is the compilation file
Comment 2 Doug Wadsworth 2002-03-22 17:04:56 EST
We forgot to include the following lines at running the make script in order to 
compile the libraries after having exectuted ./configure.

gcc -pipe   -I/usr/include/zlib  -I. -DHAVE_CONFIG_H  -o us_export_wizard 
us_export_wizard.c
rm -f us_export_wizard.h cipher.o peks-setup.o
./us_export_wizard   >us_export_wizard.h
cd `dirname rpc/stamp-o` && make `basename rpc/stamp-o`
make[2]: Entering directory `/usr/local/nessus-installer/nessus-
libraries/libpeks/rpc'
/bin/sh /usr/local/nessus-installer/nessus-libraries/libpeks/libtool gcc -pipe -
I. -I.. -DHAVE_CONFIG_H  -g -O2    -c peks-svc.c
mkdir .libs
gcc -pipe -I. -I.. -DHAVE_CONFIG_H -g -O2 -c peks-svc.c  -fPIC -DPIC -
o .libs/peks-svc.lo
peks-svc.c: In function `valid_psvc_name':
peks-svc.c:222: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[2]: *** [peks-svc.o] Error 1
make[2]: Leaving directory `/usr/local/nessus-installer/nessus-
libraries/libpeks/rpc'
make[1]: *** [rpc/stamp-o] Error 2
make[1]: Leaving directory `/usr/local/nessus-installer/nessus-
libraries/libpeks'
make: *** [cipher-make] Error 2
Comment 3 Jakub Jelinek 2002-03-25 08:07:04 EST
Is it reproduceable? If yes, can you please attach peks-svc.i instead
(just rerun the above gcc command with -save-temps)?
Thanks.
Comment 4 Doug Wadsworth 2002-03-26 17:10:59 EST
Created attachment 50668 [details]
File generated by running gcc.
Comment 5 Alan Cox 2002-12-15 14:45:32 EST
Verified ok in gcc 3.2

Note You need to log in before you can comment on or make changes to this bug.